import request from '@/utils/request'

// 查询预警信息发送日志列表
export function listWarningLog(query) {
  return request({
    url: '/management/warningLog/list',
    method: 'get',
    params: query
  })
}

// 查询预警信息发送日志详细
export function getWarningLog(sendLogId) {
  return request({
    url: '/management/warningLog/' + sendLogId,
    method: 'get'
  })
}

// 新增预警信息发送日志
export function addWarningLog(data) {
  return request({
    url: '/management/warningLog',
    method: 'post',
    data: data
  })
}

// 修改预警信息发送日志
export function updateWarningLog(data) {
  return request({
    url: '/management/warningLog',
    method: 'put',
    data: data
  })
}

// 删除预警信息发送日志
export function delWarningLog(sendLogId) {
  return request({
    url: '/management/warningLog/' + sendLogId,
    method: 'delete'
  })
}

// 导出预警信息发送日志
export function exportWarningLog(query) {
  return request({
    url: '/management/warningLog/export',
    method: 'get',
    params: query
  })
}